###############################################################################
## This Makefile generates the GALWEBD.DLL for WEB server for the BBS        ##
###############################################################################

!include GALICO.IMK

galwebd.dll: \
     galwebd.h                                                             \
     webd.obj                                                              \
     inpoly.obj                                                            \
     qrystg.obj                                                            \
     $(MBBS)\dlib\$(TCPIPKERN)                                             \
     $(MBBS)\dlib\galtcpip.lib                                             \
     $(MBBS)\dlib\galimp.lib       $(MBBS)\dlib\gsblimp.lib                \
     $(PHARLAP)\bc4\lib\phapi.lib  $(MBBS)\dlib\nodef.def
     $(LINK) galwebd

###############################################################################
#####                 Build Objects For GALWEBD DLL                       #####
###############################################################################

webd.obj: webd.c
     $(COMPILE) webd

inpoly.obj: inpoly.c
     $(COMPILE) inpoly

qrystg.obj: qrystg.c
     $(COMPILE) qrystg

$(MBBS)\dlib\galtcpip.lib: galtcpip.def
     cd $(MBBS)\dlib
     imp galtcpip
     cd $(MBBS)\src

$(MBBS)\dlib\galchdir.lib: galchdir.def
     cd $(MBBS)\dlib
     imp galchdir
     cd $(MBBS)\src

###############################################################################
#####               Generate Headers for Compilation                      #####
##############################################################################

galwebd.h: galwebd.msg
     cd $(MBBS)
     wgsmsx galwebd -osrc
     cd $(MBBS)\src

